Subject: Re: in.telnetd problems
From: "Chris McCarthy" <[email-masked]>
To: Kevin Wright <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Wed, 03 Feb 1999 17:32:56 +0000

Thanks, got the answer from http://www.lexa.ru/sos/ and it works fine now.

I didn't have the "Replace a process level token" privilege.

..Chris.

Kevin Wright wrote:

> Chris,
>
> You wrote:
>
> > I have installed the "remote" suite of server tools, I can't remember
> > where I got it from but it was precompiled and has in.telnetd, in.ftpd
> > etc etc.    I ran inetd from the shell, then telnet'ed to
> > localhost. It
> > connected and the login authentication works, but after authentication
> > it just disconnects (see below)
> >
> > chris_nt#> inetd
> > chris_nt#> telnet localhost
> > Trying 127.0.0.1...
> > Connected to chris_nt.qumas.ie.
> > Escape character is '^]'.
> >
> > CYGWIN_NT-4.0 20.1 (0.3/1/1) (chris_nt) (tty0)
> >
> > login: myuserid
> > Password:
> > Connection closed by foreign host.
> > chris_nt#>
> >
> >
> > By running inetd in debug mode I also get the following
> >
> > someone wants telnet
> > accept, ctrl 3
> > + Closing from 27
> > 1263 execl /usr/local/libexec/in.telnetd
> > 1263 reaped, status 0x100
> >
> >
> > /bin/sh exists. My home directory in /etc/passwd also exists
> > Any help appreciated.
>
> > ..Chris.
>
> I'm no expert in this area but I did manage to get this to work.
> Two things I can think of that you need to check:
>
> 1. you entry for /etc/passwd should something look like:
>
> kwright::1246:513:Kevin
> Wright:/usr/kwright:/cygnus/CYGWIN~1/H-I586~1/bin/bash
>
> 2. You need to have a inetd.conf file in /usr/local/etc
>    which tells it to start telnetd when you login.
>
> Check Sergey's web site: http://www.lexa.ru/sos/ as well as
> the mail archives. Corinna seems to know alot about this.
> Here's one example of mail from her:
> ------------------------------------------
>   >
>   > Hello, Corinna.
>   >
>   > I am trying your passwd program, but it does not touch my
>   > /etc/passwd file. Could you please send me some instructions
>   > for correct installation and usage of your passwd ?
>
>   `passwd' doesn't work on /etc/passwd but on the WinNT user
>   database. It's useless, to write passwords into /etc/passwd for
>   login purposes on a NT computer.
>
>   Regards,
>   Corinna
> ------------------------------------------
>
> Regards,
>
> Kevin Wright